﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request.hj.dto
{
    public class Model
    {
        public long Id { get; set; }
        public string AddWho { get; set; }
        public string EditWho { get; set; }
        public DateTime AddTime { get; set; }
        public DateTime EditTime { get; set; }
        public string Remark { get; set; }
        public string Default1 { get; set; }
        public string Default2 { get; set; }
        public string Default3 { get; set; }
        public string Default4 { get; set; }
        public string Default5 { get; set; }
    }
    public class AddModel : Model
    {
        /// <summary>
        /// 编码
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        [MaxLength(30, ErrorMessage = "{0}长度不可超过{1}")]
        public string Code { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        [MaxLength(100, ErrorMessage = "{0}长度不可超过{1}")]
        public string Name { get; set; }
        //[Required(ErrorMessage = "{0} 必须填写")]
        //[MaxLength(50, ErrorMessage = "{0}长度不可超过{1}")]
        /// <summary>
        /// 仓库类型
        /// </summary>
        public string? WareType { get; set; }
        //[Required(ErrorMessage = "{0} 必须填写")]
        //[RegularExpression(@"^[0-9]*$", ErrorMessage = "{0}只能是数字")]
        /// <summary>
        /// 仓库状态
        /// </summary>
        public string? WareState { get; set; } = "1";
        /// <summary>
        /// 厂区
        /// </summary>
        public string? FactoryNo { get; set; }
        /// <summary>
        /// 仓库地址ID
        /// </summary>
        public long? WareAddrID { get; set; }
        /// <summary>
        /// 仓库对数据连接
        /// </summary>
        public long? WareDbLink { get; set; }

        /// <summary>
        /// 仓库Id
        /// </summary>
        public long? WareId { get; set; }
        /// <summary>
        /// 库区状态
        /// </summary>
        public string? WZoneState { get; set; }

        //[Required(ErrorMessage = "{0} 必须填写")]
        //[MaxLength(50, ErrorMessage = "{0}长度不可超过{1}")]
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string? WareCode { get; set; }
        //[Required(ErrorMessage = "{0} 必须填写")]
        //[RegularExpression(@"^[0-9]*$", ErrorMessage = "{0}只能是数字")]
        /// <summary>
        /// 库区编码
        /// </summary>
        public string? ZoneCode { get; set; }
        /// <summary>
        /// 货位类型
        /// </summary>
        public int? LocationType { get; set; }
        /// <summary>
        /// 行删除
        /// </summary>
        public int? RowDel { get; set; }
        /// <summary>
        /// 行停用
        /// </summary>
        public int? RowStop { get; set; }
        /// <summary>
        /// 货位锁
        /// </summary>
        public int? LocationLock { get; set; }
        /// <summary>
        /// 货位状态
        /// </summary>
        public int? LocationState { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int? Sort { get; set; }
        /// <summary>
        /// 巷道
        /// </summary>
        public int? Tunnel { get; set; }
        /// <summary>
        /// 行
        /// </summary>
        public int? Row { get; set; }
        /// <summary>
        /// 列
        /// </summary>
        public int? Col { get; set; }
        /// <summary>
        /// 层
        /// </summary>
        public int? Layer { get; set; }
        /// <summary>
        /// 深度
        /// </summary>
        public int? Depth { get; set; }
        /// <summary>
        /// 货位大小
        /// </summary>
        public int? Size { get; set; }
        /// <summary>
        /// 货架
        /// </summary>
        public string? Shelf { get; set; }
        /// <summary>
        /// 容器ID
        /// </summary>
        public long? ContGrpID { get; set; }
        /// <summary>
        /// 容器编码
        /// </summary>
        public string? ContGrpBarCode { get; set; }
        /// <summary>
        /// 是否空容器
        /// </summary>
        public int? IsEmptyContainer { get; set; }
        /// <summary>
        /// 库区id
        /// </summary>
        public long? ZoneId { get; set; }
        /// <summary>
        /// 主单位
        /// </summary>
        public string? PrimaryUnit { get; set; }
        /// <summary>
        /// 副单位
        /// </summary>
        public string? DeputyUnit { get; set; }
        /// <summary>
        /// 换算率
        /// </summary>
        public string? ConversionUnit { get; set; }
        /// <summary>
        /// BOM编码
        /// </summary>
        public string? BomCode { get; set; }
        /// <summary>
        /// 湿拉物料编码
        /// </summary>
        public string? MaterCode { get; set; }
        /// <summary>
        /// 轮子个数
        /// </summary>
        public int? HWCount { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public int? BomStatus { get; set; }
    }

    public class DetailsRequest
    {
        public List<long> Ids { get; set; }
        public string? Status { get; set; }
        public string? Flag { get; set; }  //获取档案类型
        public string? Remark { get; set; }
    }
    public class DetailRequest
    {
        public long Id { get; set; }
    }
    public class UpdateMaterEntity : Model
    {
        public string MatCode { get; set; }
        public string MatName { get; set; }
        public string MatShortDesc { get; set; }
        public string MatFullDesc { get; set; }
        public string MatExtDesc { get; set; }
        public string MatEnName { get; set; }
        public long MaterGroupId { get; set; }
        public string LeafTypeCode { get; set; }
        public string LeafTypeName { get; set; }
        public string MidTypeCode { get; set; }
        public string MidTypeName { get; set; }
        public string HeadTypeCode { get; set; }
        public string HeadTypeName { get; set; }
        public string Describe { get; set; }
        public string Texture { get; set; }
        public string FigureNo { get; set; }
        public string Strength { get; set; }
        public string Plating { get; set; }
        public decimal PlatingWeight { get; set; }
        public decimal PlatingConQty { get; set; }
        public decimal Linear { get; set; }
        public string ProCode { get; set; }
        public string ProName { get; set; }
        public string ProStre { get; set; }
        public decimal LinearMax { get; set; }
        public decimal LinearMin { get; set; }
        public decimal LinearTar { get; set; }
        public decimal Mono { get; set; }
        public string SpoolType { get; set; }
        public string SpoolCode { get; set; }
        public decimal Length { get; set; }
        public decimal OilQty { get; set; }
        public string LubType { get; set; }
        public decimal LineSpace { get; set; }
        public decimal LayLength { get; set; }
        public string LayDirect { get; set; }
        public string CumIndex { get; set; }
        public string IsSolder { get; set; }
        public string SKUCode { get; set; }
        public string SKUDesc { get; set; }
        public string Tors { get; set; }
        public string PackGroupId { get; set; }
        public string BlackSamp { get; set; }
        public string BlackChk { get; set; }
        public string CustCode { get; set; }
        public string CustName { get; set; }
        public string AddressCode { get; set; }
        public string AddressName { get; set; }
        public decimal Qty { get; set; }
        public decimal BoxMaxSolder { get; set; }
        public decimal SpoolMaxSolder { get; set; }
        public decimal OVC { get; set; }
        public string DrummLevel { get; set; }
        public string ComCode { get; set; }
        public string ComName { get; set; }
        public string CalcUnit { get; set; }
        public string StockUnit { get; set; }
        public decimal Weight { get; set; }
        public string WeightUnit { get; set; }
        public bool IsHold { get; set; }
        public decimal HoldDuration { get; set; }
    }
    public class UpdateBarcodeEntity : Model
    {
        /// <summary>
        /// 材料号，空容器为容器号
        /// </summary>
        public string InvBarCode { get; set; }
        /// <summary>
        /// 库存状态(正常/锁定：Normal/Lock)
        /// </summary>
        public string InvState { get; set; }
        /// <summary>
        /// 入库单据号
        /// </summary>
        public string InDocsNo { get; set; }
        /// <summary>
        /// 入库单据行号
        /// </summary>
        public string InDocsRowNo { get; set; }
        /// <summary>
        /// 供应商编码
        /// </summary>
        public string SuppCode { get; set; }
        /// <summary>
        /// 供应商名称
        /// </summary>
        public string SuppName { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 物料id
        /// </summary>
        public long MatId { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WarehouseCode { get; set; }
        /// <summary>
        /// 仓库id
        /// </summary>
        public long WarehouseId { get; set; }
        /// <summary>
        /// 总重量
        /// </summary>
        public decimal TotalWtQty { get; set; }
        /// <summary>
        /// 净重(重量，盘条:包重，其他:钢丝净重)
        /// </summary>
        public decimal NetWQty { get; set; }
        /// <summary>
        /// 皮重(空工字轮重量)
        /// </summary>
        public decimal TareWQty { get; set; }
        /// <summary>
        /// 长度
        /// </summary>
        public decimal LengthQty { get; set; }
        /// <summary>
        /// 生产批号
        /// </summary>
        public string Batch { get; set; }
        /// <summary>
        /// 生产时间（'20230214；默认值19000101）
        /// </summary>
        public DateTime ProductTime { get; set; }
        /// <summary>
        /// 第一次入库时间（'20230214；默认值19000101）
        /// </summary>
        public DateTime OneInTime { get; set; }
        /// <summary>
        /// 碳当量
        /// </summary>
        public decimal CaQty { get; set; }
        /// <summary>
        /// 盘条条码
        /// </summary>
        public string RodBarCode { get; set; }
        /// <summary>
        /// 工字轮条码
        /// </summary>
        public string HWBarCode { get; set; }
        /// <summary>
        /// RFID条码
        /// </summary>
        public string RFIDBarCode { get; set; }
        /// <summary>
        /// 工字轮规格（WS09，WS18，等, 500,800）
        /// </summary>
        public string HWSpec { get; set; }
        /// <summary>
        /// 炉号
        /// </summary>
        public string BoilerNo { get; set; }
        /// <summary>
        /// 包号
        /// </summary>
        public string PackNo { get; set; }
        /// <summary>
        /// 牌号
        /// </summary>
        public string BrandNo { get; set; }
        /// <summary>
        /// 执行标准
        /// </summary>
        public string ExecStd { get; set; }
        /// <summary>
        /// 许可证号
        /// </summary>
        public string LicenceNo { get; set; }
        /// <summary>
        /// 改手盘标记
        /// </summary>
        public bool IsSurplus { get; set; }
        /// <summary>
        /// 返工标记
        /// </summary>
        public bool IsRework { get; set; }
        /// <summary>
        /// 单/双丝
        /// </summary>
        public string SilkType { get; set; }
        /// <summary>
        /// 是否黑盘
        /// </summary>
        public bool IsBlack { get; set; }
        /// <summary>
        /// 是否芯股
        /// </summary>
        public bool IsCore { get; set; }
        /// <summary>
        /// 快投标记
        /// </summary>
        public bool IsFast { get; set; }
        /// <summary>
        /// 是否异常
        /// </summary>
        public bool IsFail { get; set; }
        /// <summary>
        /// 异常原因
        /// </summary>
        public string FailReason { get; set; }
        /// <summary>
        /// 焊点数量
        /// </summary>
        public int SolderQty { get; set; }
        /// <summary>
        /// 等级
        /// </summary>
        public string Grade { get; set; }
        /// <summary>
        /// 退料原因
        /// </summary>
        public string Reason { get; set; }
        /// <summary>
        /// 是否退料
        /// </summary>
        public bool IsBack { get; set; }
        /// <summary>
        /// 是否 扭转检测
        /// </summary>
        public bool IsTorsChk { get; set; }
        /// <summary>
        /// 扭转次数
        /// </summary>
        public int TorsChkQty { get; set; }
        /// <summary>
        /// 扭转检测时间
        /// </summary>
        public DateTime TorsChkTime { get; set; }
        /// <summary>
        /// 扭转检测结果值
        /// </summary>
        public decimal TorsChkValue { get; set; }
        /// <summary>
        /// 扭转检测设备号
        /// </summary>
        public string TorsChkMacNo { get; set; }
        /// <summary>
        /// 工序订单号
        /// </summary>
        public string ProcessDocsNo { get; set; }
        /// <summary>
        /// 生产机台号
        /// </summary>
        public string ProductWbNo { get; set; }
        /// <summary>
        /// 生产产线号
        /// </summary>
        public string ProductLineNo { get; set; }
    }
}
