﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.hj.dto
{
    /// <summary>
    /// 单据反馈
    /// </summary>
    public class DocumentsResponse : Model
    {
        /// <summary>
        /// 行停用，false 启动，true 停用
        /// </summary>
        public bool IsStop { get; set; } = false;
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WarehouseCode { get; set; }
        /// <summary>
        /// 请求凭证号
        /// </summary>
        public string ReqNo { get; set; }
        /// <summary>
        /// 单号
        /// </summary>
        public string DocNo { get; set; }
        /// <summary>
        /// 单据类型
        /// </summary>
        public string TypeCode { get; set; }
        /// <summary>
        /// 单据状态
        /// </summary>
        public string StateCode { get; set; }
        /// <summary>
        /// 传递次数
        /// </summary>
        public int DownQty { get; set; }
        /// <summary>
        /// 下载失败原因
        /// </summary>
        public string DownErrReason { get; set; }
    }
    public class DocumentsdetailList : Model
    {
        /// <summary>
        /// 单据号
        /// </summary>
        public string InDocsNo { get; set; }
        /// <summary>
        /// 供应商编码
        /// </summary>
        public string SuppCode { get; set; }
        /// <summary>
        /// 供应商名称
        /// </summary>
        public string SuppName { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WarehouseCode { get; set; }
        /// <summary>
        /// RFID条码
        /// </summary>
        public string RFIDBarCode { get; set; }
        /// <summary>
        /// 工字轮规格（WS09，WS18，等, 500,800）
        /// </summary>
        public string HWSpec { get; set; }
        /// <summary>
        /// 快投标记
        /// </summary>
        public bool IsFast { get; set; }
        /// <summary>
        /// 等级
        /// </summary>
        public string Grade { get; set; }
        /// <summary>
        /// 物料名称
        /// </summary>
        public string MatName { get; set; }
        /// <summary>
        /// 货位
        /// </summary>
        public string Location { get; set; }
    }
}
