﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request
{
    /// <summary>
    /// 物料基础信息同步请求参数
    /// </summary>
    public class SyncMaterInfoRequest: BaseRequest
    {
        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime StartTime { get; set; } = DateTime.Parse("1900-1-1");
        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime EndTime { get; set; } = DateTime.Parse("1900-1-1");
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 请求条数
        /// </summary>
        public int Count { get; set; }
        /// <summary>
        /// 当前页
        /// </summary>
        public int PageIndex { get; set; }
        /// <summary>
        /// 每页显示条数
        /// </summary>
        public int PageSize { get; set; }
        /// <summary>
        /// 同步类型（1初始化 2job 3手动）
        /// </summary>
        public int SyncType { get; set; }
    }
}
