﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace wms.dto.response.pt.dto
{
    public class PtTaskRsponse : PtTaskModel
    {
        /// <summary>
        /// 任务号
        /// </summary>
        [Description("任务号")]
        public int TaskCode { get; set; }

        /// <summary>
        /// 任务类型
        /// </summary>
        [Description("任务类型")]
        public int TaskType { get; set; }
        /// <summary>
        /// 任务状态
        /// </summary>
        [Description("任务状态")]
        public int TaskState { get; set; }
        /// <summary>
        /// 优先级
        /// </summary>
        [Description("优先级")]
        public int Priority { get; set; }
        /// <summary>
        /// 设备编号
        /// </summary>
        [Description("设备编号")]
        public string EquNo { get; set; }
        /// <summary>
        /// 堆垛机编号
        /// </summary>
        [Description("堆垛机编号")]
        public string Srm { get; set; }
        /// <summary>
        /// 起始位置
        /// </summary>
        [Description("起始位置")]
        public string StartPoint { get; set; }
        /// <summary>
        /// 当前位置
        /// </summary>
        [Description("当前位置")]
        public string CurPoint { get; set; }
        /// <summary>
        /// 下个位置
        /// </summary>
        [Description("下个位置")]
        public string NextPoint { get; set; }
        /// <summary>
        /// 目标位置
        /// </summary>
        [Description("目标位置")]
        public string EndPoint { get; set; }
        /// <summary>
        /// 容器id
        /// </summary>
        [Description("容器id")]
        public long ContGrpId { get; set; }
        /// <summary>
        /// 容器条码（盘条码，合金：RFID，分拣：托盘号）
        /// </summary>
        [Description("容器条码")]
        public string ContGrpBarCode { get; set; }
        /// <summary>
        /// 巷道
        /// </summary>
        [Description("巷道")]
        public int Tunnel { get; set; }
        /// <summary>
        /// 仓库
        /// </summary>
        [Description("仓库")]
        public string WareCodeName { get; set; }
        /// <summary>
        /// 数量
        /// </summary>
        [Description("数量")]
        public decimal Qty { get; set; }
        /// <summary>
        /// 单据号
        /// </summary>
        [Description("单据号")]
        public string DocCode { get; set; }
        /// <summary>
        /// 业务类型
        /// </summary>
        [Description("业务类型")]
        public string BusType { get; set; }
        /// <summary>
        /// 是否手动任务
        /// </summary>
        [Description("是否手动任务")]
        public int IsManual { get; set; }
        /// <summary>
        /// 是否空盘任务
        /// </summary>
        [Description("是否空盘任务")]
        public int IsEmpty { get; set; }
        /// <summary>
        /// 载货尺寸
        /// </summary>
        [Description("载货尺寸")]
        public int Size { get; set; }
    }
    /// <summary>
    /// 任务明细
    /// </summary>
    public class PtTaskDetail
    {
        public int ParentTaskCode { get; set; }
        public string CurPoint { get; set; }
        public string NextPoint { get; set; }
        public string Desc { get; set; }
        public DateTime ExecTime { get; set; }
    }
    public class PtTaskModel
    {
        [Description("主键")]
        public long Id { get; set; }
        [Description("备注")]
        public string Remark { get; set; }
        [Description("创建用户")]
        public string AddWho { get; set; }
        [Description("修改用户")]
        public string EditWho { get; set; }
        [Description("创建时间")]
        public DateTime AddTime { get; set; }
        [Description("修改时间")]
        public DateTime EditTime { get; set; }
        [Description("状态")]
        public int Status { get; set; }
    }
}
