﻿using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using System.Text;
using wms.dto.request.fj;
using wms.dto.response;
using wms.dto.response.fj;
using wms.sqlsugar.model;
using wms.sqlsugar.model.fj;

namespace wms.service.IService
{
    public interface IFJService
    {
        public string GetSysConfigContentByCode(string code);
        public bool SyncMaterInfo(List<FJSyncMaterInfoResponseItem> ResData);
        public bool SyncMachineInfo(List<SyncMachineInfoResponseItem> ResData);
        public fjSysConfig GetSysConfigByCode(string code);
        public fjSysConfig GetSysConfigByExpression(Expression<Func<fjSysConfig, bool>> WhereExpression);
        public fjBaseMater GetBaseMaterByExpression(Expression<Func<fjBaseMater, bool>> WhereExpression);
        /// <summary>
        /// 获取反馈信息列表
        /// </summary>
        /// <param name="WhereExpression"></param>
        /// <returns></returns>
        public List<fjBillFeedbackPush> GetBillFeedbackList(Expression<Func<fjBillFeedbackPush, bool>> WhereExpression);
        public bool UpdateSysConfigModelColumns(UpdateModelColumns<fjSysConfig> updateModel);
        public bool UpdateBillFeedbackPushModelColumns(UpdateModelColumns<fjBillFeedbackPush> updateModel);
        public SRes<bool> DeleteDoc(Expression<Func<fjBillDocument, bool>> whereExpression);
        public SRes CurtainProductionOrder(CurtainProductionOrderRequest reqDto);
        public SRes SpoolMaterialInfoTrans(SpoolMaterialInfoTransRequest reqDto);
        public SRes CurtainProductionStockOut(CurtainProductionStockOutRequest reqDto);
        public bool AllocationWarehouseSort(AllocationWarehouseSortRequest reqDto);
        public SRes ProductionBack(FjProductionBackRequest reqDto);
        public SRes ProductionLeftFeedBack(string doccode);
        public SRes ErrorMaterialStockOut(FjErrorMaterialStockOutRequest reqDto);
        public SRes BGradeMaterialStockOut(BGradeMaterialStockOutRequest reqDto);
        public SRes StockChange(FjStockChangeRequest reqDto);
        public SRes ManualBuildStockTrans(ManualBuildStockTransRequest reqDto);
        public SRes BomInfoTrans(BomInfoTransRequest reqDto);
        public SRes CurtainOrderStartCheck(CurtainOrderStartCheckRequest reqDto);

    }
}
