﻿using SqlSugar;

namespace wms.sqlsugar.model.fj
{
    /// <summary>
    ///  物料表
    /// </summary>
    [Tenant("fj")]
    [SugarTable("Base_MatInfo")]
    public partial class BaseMatinfo : BaseModel
    {
        /// <summary>
        ///  仓库ID
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long WarehouseId { get; set; }

        /// <summary>
        ///  编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string Code { get; set; }

        /// <summary>
        ///  名称
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 200, IsNullable = false)]
        public string Name { get; set; }

        /// <summary>
        ///  短描述
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string ShortDesc { get; set; }

        /// <summary>
        ///  长描述
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 500, IsNullable = true)]
        public string FullDesc { get; set; }

        /// <summary>
        /// 补充描述
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 500, IsNullable = true)]
        public string ExtDesc { get; set; }

        /// <summary>
        ///  英文名
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Enname { get; set; }

        /// <summary>
        ///  组ID
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long MatGrpId { get; set; }

        /// <summary>
        ///  叶类编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string Leafcode { get; set; }

        /// <summary>
        ///  叶类名称
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string LeafName { get; set; }

        /// <summary>
        ///  中类编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string MidCode { get; set; }

        /// <summary>
        ///  中类名称
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string MidName { get; set; }

        /// <summary>
        ///  大类编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string HeadCode { get; set; }

        /// <summary>
        ///  大类名称
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string HeadName { get; set; }

        /// <summary>
        ///  规格型号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string Description { get; set; }

        /// <summary>
        ///  材质
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string Texture { get; set; }

        /// <summary>
        ///  图号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string FigureNo { get; set; }

        /// <summary>
        ///  强度
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Strength { get; set; }

        /// <summary>
        ///  镀层
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string Plating { get; set; }

        /// <summary>
        ///  镀层克重
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? PlatingWeight { get; set; }

        /// <summary>
        ///  镀层主元素含量
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? PlatingContQty { get; set; }

        /// <summary>
        ///  线密度
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? Linear { get; set; }

        /// <summary>
        ///  产品号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string ProCode { get; set; }

        /// <summary>
        ///  产品描述
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string ProName { get; set; }

        /// <summary>
        ///  产品强度
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string ProStre { get; set; }

        /// <summary>
        ///  线密度上限
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? LinearMax { get; set; }

        /// <summary>
        ///  线密度下限
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? LinearMin { get; set; }

        /// <summary>
        ///  线密度目标值
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? LinearTar { get; set; }

        /// <summary>
        ///  单丝倍数
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? Mono { get; set; }

        /// <summary>
        ///  工字轮型号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string SpoolType { get; set; }

        /// <summary>
        ///  工字轮料号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string SpoolCode { get; set; }

        /// <summary>
        ///  单卷长度
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? Length { get; set; }

        /// <summary>
        ///  涂油量
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? OilQty { get; set; }

        /// <summary>
        ///  润滑液种类
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string LubType { get; set; }

        /// <summary>
        ///  排线间距
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? LineSpace { get; set; }

        /// <summary>
        ///  线长度
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? LineLength { get; set; }

        /// <summary>
        ///  捻向
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string LayDirect { get; set; }

        /// <summary>
        ///  客户标准索引号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string CumIndex { get; set; }

        /// <summary>
        ///  有无焊点
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string IsSolder { get; set; }

        /// <summary>
        ///  SKU号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string SkuCode { get; set; }

        /// <summary>
        ///  SKU描述
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 200, IsNullable = true)]
        public string SkuDesc { get; set; }

        /// <summary>
        ///  控制扭转
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Tors { get; set; }

        /// <summary>
        ///  包装组ID
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string PackGrpId { get; set; }

        /// <summary>
        ///  黑盘取样
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string BlackSamp { get; set; }

        /// <summary>
        ///  黑盘检验
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string BlackChk { get; set; }

        /// <summary>
        ///  客户编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string CustCode { get; set; }

        /// <summary>
        ///  客户描述
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string CustName { get; set; }

        /// <summary>
        ///  收货地址编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string AddressCode { get; set; }

        /// <summary>
        ///  收货地址名称
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string AddressName { get; set; }

        /// <summary>
        ///  生产批次数量（箱/批）
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? Qty { get; set; }

        /// <summary>
        ///  每箱最大焊点盘数（个）
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? BoxMaxSolder { get; set; }

        /// <summary>
        ///  工字轮最大焊点数（个）
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? SpoolMaxSolder { get; set; }

        /// <summary>
        ///  OVC比例
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? Ovc { get; set; }

        /// <summary>
        ///  起鼓等级
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string DrummLevel { get; set; }

        /// <summary>
        ///  公司代码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string ComCode { get; set; }

        /// <summary>
        ///  公司名称
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string ComName { get; set; }

        /// <summary>
        ///  计量单位
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 10, IsNullable = true)]
        public string CalcUnit { get; set; }

        /// <summary>
        ///  库存单位
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 10, IsNullable = true)]
        public string StockUnit { get; set; }

        /// <summary>
        ///  单重
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? Weight { get; set; }

        /// <summary>
        ///  单重单位
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 10, IsNullable = true)]
        public string WeightUnit { get; set; }

        /// <summary>
        ///  是否启用时效
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsHold { get; set; }

        /// <summary>
        ///  时效时长(小时)
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = false)]
        public decimal HoldDuration { get; set; }
    }
}
