﻿using System; 
using System.Collections.Generic;
using SqlSugar;

namespace wms.sqlsugar.model.fj
{
    /// <summary>
    ///  投料信息表
    /// </summary>
    [Tenant("fj")]
    [SugarTable("Bill_BomInfo")]
    public partial class BillBominfo : BaseModel
    { 

        /// <summary> 
        /// 是否停用
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int IsStop { get; set; }

        /// <summary> 
        /// 仓库id
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long WarehouseId { get; set; }

        /// <summary> 
        /// 编码
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string Code { get; set; }

        /// <summary> 
        /// 名称
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = false )]
        public string Name { get; set; }

        /// <summary> 
        /// 湿拉物料id
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false)]
        public long MatId { get; set; }

        /// <summary> 
        /// 湿拉物料编码
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string MatCode { get; set; }

        /// <summary> 
        /// 工字轮个数
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int HWCountQty { get; set; }

        /// <summary> 
        /// 帘线工序工单号
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string BillCode { get; set; }

        /// <summary>
        /// 垛型id
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint",  IsNullable = false)]
        public long StackGrpId { get; set; }

    }
}

