﻿using System; 
using System.Collections.Generic;
using SqlSugar;

namespace wms.sqlsugar.model.fj
{
    /// <summary>
    ///  垛型明细表
    /// </summary>
    [Tenant("fj")]
    [SugarTable("Bill_BomSetInfo")]
    public partial class BillBomsetinfo:BaseModel
    { 

        /// <summary> 
        /// 仓库id
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = true )]
        public long? WarehouseId { get; set; }

        /// <summary> 
        /// 仓库编码
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string WarehouseCode { get; set; }


        /// <summary> 
        /// 垛型id
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long BomSetHdrId { get; set; }

        /// <summary> 
        /// 是否停用
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int IsStop { get; set; }

        /// <summary> 
        /// 是否空置
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int IsEmpty { get; set; }

        ///// <summary> 
        ///// 材料号
        ///// </summary> 
        //[SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        //public string ClBarCode { get; set; }

        /// <summary> 
        /// 坐标号
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string XYNo { get; set; }

        /// <summary> 
        /// 物料id
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint")]
        public long MatId { get; set; }

        /// <summary> 
        /// 物料编码
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50)]
        public string MatCode { get; set; }

        /// <summary> 
        /// 正反面
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int SideNum { get; set; }

        /// <summary> 
        /// 钢丝类型
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string SilkType { get; set; }

        /// <summary> 
        /// 钢丝直径
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18  , IsNullable = false )]
        public decimal SilkDiam { get; set; }

        /// <summary> 
        /// 是否芯股
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int IsCore { get; set; }
        /// <summary>
        /// 09垛型里面的行（1-12）
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Row { get; set; }
        /// <summary>
        /// 是否混合料行（09垛型使用，1是0否）
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int IsMixRow { get; set; }
    }
}

