﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.fj
{
    [Tenant("fj")]
    [SugarTable("base_ware_location", "货位表")]
    public class fjBaseWareLocation : BaseModel
    {
        /// <summary>
        /// 货位编码
        /// </summary>
        [SugarColumn(ColumnName = "code", ColumnDataType = "nvarchar", Length = 50)]
        public string Code { get; set; }
        /// <summary>
        /// 货位名称
        /// </summary>
        [SugarColumn(ColumnName = "name", ColumnDataType = "nvarchar", Length = 100)]
        public string Name { get; set; }
        /// <summary>
        /// 仓库id
        /// </summary>
        [SugarColumn(ColumnName = "ware_id")]
        public long WareId { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        [SugarColumn(ColumnName = "ware_code", ColumnDataType = "nvarchar", Length = 50)]
        public string WareCode { get; set; }
        /// <summary>
        /// 库区id
        /// </summary>
        [SugarColumn(ColumnName = "zone_id")]
        public long ZoneId { get; set; }
        /// <summary>
        /// 库区编码
        /// </summary>
        [SugarColumn(ColumnName = "zone_code", ColumnDataType = "nvarchar", Length = 50)]
        public string ZoneCode { get; set; }
        /// <summary>
        /// 货位类型
        /// </summary>
        [SugarColumn(ColumnName = "location_type")]
        public int LocationType { get; set; }
        /// <summary>
        /// 货位锁
        /// </summary>
        [SugarColumn(ColumnName = "location_lock")]
        public int LocationLock { get; set; }
        /// <summary>
        /// 货位状态
        /// </summary>
        [SugarColumn(ColumnName = "location_state")]
        public int LocationState { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnName = "sort")]
        public int Sort { get; set; }
        /// <summary>
        /// 巷道
        /// </summary>
        [SugarColumn(ColumnName = "tunnel")]
        public int Tunnel { get; set; }
        /// <summary>
        /// 行
        /// </summary>
        [SugarColumn(ColumnName = "row")]
        public int Row { get; set; }
        /// <summary>
        /// 列
        /// </summary>
        [SugarColumn(ColumnName = "col")]
        public int Col { get; set; }
        /// <summary>
        /// 层
        /// </summary>
        [SugarColumn(ColumnName = "layer")]
        public int Layer { get; set; }
        /// <summary>
        /// 深度
        /// </summary>
        [SugarColumn(ColumnName = "depth")]
        public int Depth { get; set; }
        /// <summary>
        /// 货位大小
        /// </summary>
        [SugarColumn(ColumnName = "size")]
        public int Size { get; set; }
        /// <summary>
        /// 货架
        /// </summary>
        [SugarColumn(ColumnName = "shelf", ColumnDataType = "nvarchar", Length = 50)]
        public string Shelf { get; set; }
        /// <summary>
        /// 容器ID
        /// </summary>
        [SugarColumn(ColumnName = "cont_grp_id")]
        public long ContGrpID { get; set; }
        /// <summary>
        /// 容器编码
        /// </summary>
        [SugarColumn(ColumnName = "cont_grp_barcode", ColumnDataType = "nvarchar", Length = 50)]
        public string ContGrpBarCode { get; set; }
        /// <summary>
        /// 是否空容器（1空容器，2 有料）
        /// </summary>
        [SugarColumn(ColumnName = "is_empty_container")]
        public int IsEmptyContainer { get; set; }
        /// <summary>
        /// 行停用（0正常 1停用）
        /// </summary>
        [SugarColumn(ColumnName = "row_stop")]
        public int RowStop { get; set; }
        /// <summary>
        /// 行删除（0正常 1删除）
        /// </summary>
        [SugarColumn(ColumnName = "row_del")]
        public int RowDel { get; set; }
    }
}
