﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.fj
{
    [Tenant("fj")]
    [SugarTable("bill_docment", "单据表")]
    public class fjBillDocument : BaseModel
    {
        /// <summary>
        /// 行停用，false 启动，true 停用
        /// </summary>
        [SugarColumn(ColumnName = "is_stop")]
        public bool IsStop { get; set; } = false;
        /// <summary>
        /// 仓库编码
        /// </summary>
        [SugarColumn(ColumnName = "warehouse_id")]
        public long WarehouseId { get; set; }
        /// <summary>
        /// 请求凭证号
        /// </summary>
        [SugarColumn(ColumnName = "req_no", ColumnDataType = "nvarchar", Length = 50)]
        public string ReqNo { get; set; }
        /// <summary>
        /// 单号
        /// </summary>
        [SugarColumn(ColumnName = "doc_no", ColumnDataType = "nvarchar", Length = 50)]
        public string DocNo { get; set; }
        /// <summary>
        /// 单据类型
        /// </summary>
        [SugarColumn(ColumnName = "type_code", ColumnDataType = "nvarchar", Length = 100)]
        public string TypeCode { get; set; }
        /// <summary>
        /// 单据状态
        /// </summary>
        [SugarColumn(ColumnName = "state_code", ColumnDataType = "nvarchar", Length = 50)]
        public string StateCode { get; set; }
        /// <summary>
        /// 单据内容Json数据
        /// </summary>
        [SugarColumn(ColumnName = "content_json", ColumnDataType = "nvarchar", Length = 8000, IsNullable = true)]
        public string ContentJson { get; set; }
        /// <summary>
        /// 传递次数
        /// </summary>
        [SugarColumn(ColumnName = "down_qty")]
        public int DownQty { get; set; }
        /// <summary>
        /// 下载失败原因
        /// </summary>
        [SugarColumn(ColumnName = "down_err_reason", ColumnDataType = "nvarchar", Length = 500, IsNullable = true)]
        public string DownErrReason { get; set; }

       
    }
}
