﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.fj
{
    [Tenant("fj")]
    [SugarTable("bill_wet_stamp_detail", "湿拉跺型子表")]
    public class fjBillWetStackDetail : BaseModel
    {
        /// <summary>
        /// 湿拉跺型主表Id
        /// </summary>
        [SugarColumn(ColumnName = "stack_id")]
        public long StackId { get; set; }
        /// <summary>
        /// 工字轮在托盘上坐标编号
        /// </summary>
        [SugarColumn(ColumnName = "coord", ColumnDataType = "nvarchar", Length = 50)]
        public string Coord { get; set; }
        /// <summary>
        /// 有/无
        /// </summary>
        [SugarColumn(ColumnName = "is_empty")]
        public int IsEmpty { get; set; }
        /// <summary>
        /// 材料号，空容器为容器号
        /// </summary>
        [SugarColumn(ColumnName = "inv_barcode", ColumnDataType = "nvarchar", Length = 50)]
        public string InvBarCode { get; set; }
        /// <summary>
        /// 湿拉物料编码
        /// </summary>
        [SugarColumn(ColumnName = "mater_code", ColumnDataType = "nvarchar", Length = 50)]
        public string MaterCode { get; set; }
        /// <summary>
        /// 正/反面
        /// </summary>
        [SugarColumn(ColumnName = "side")]
        public int Side { get; set; }
        /// <summary>
        /// 工字轮规格（WS09，WS18，等）
        /// </summary>
        [SugarColumn(ColumnName = "hw_spec", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string HWSpec { get; set; }
        /// <summary>
        /// 单/双丝
        /// </summary>
        [SugarColumn(ColumnName = "silk_type", ColumnDataType = "nvarchar", Length = 50)]
        public string silk_type { get; set; }
        /// <summary>
        /// 钢丝直径
        /// </summary>
        [SugarColumn(ColumnName = "silk_diam", Length = 18, DecimalDigits = 6)]
        public decimal SilkDiam { get; set; }
        /// <summary>
        /// 是否芯股
        /// </summary>
        [SugarColumn(ColumnName = "is_core", ColumnDataType = "nvarchar", Length = 50)]
        public string IsCore { get; set; }
        /// <summary>
        /// 行停用
        /// </summary>
        [SugarColumn(ColumnName = "row_stop")]
        public int RowStop { get; set; }
    }
}
