﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.sx
{
    [Tenant("sx")]
    [SugarTable("bill_product_pack_rule", "成品装箱信息表")]
    public class sxBillProductPackRule : BaseModel
    {
        /// <summary>
        /// 帘线生产工单号
        /// </summary>
        [SugarColumn(ColumnName = "doc_code", ColumnDataType = "nvarchar", Length = 50)]
        public string DocCode { get; set; }
        /// <summary>
        /// 箱号
        /// </summary>
        [SugarColumn(ColumnName = "box_no", ColumnDataType = "nvarchar", Length = 50)]
        public string BoxNo { get; set; }
        /// <summary>
        /// 装箱规则（1：层配；2：SPC）
        /// </summary>
        [SugarColumn(ColumnName = "pack_rule", ColumnDataType = "nvarchar", Length = 10)]
        public string PackRule { get; set; }
        /// <summary>
        /// 每箱满轮子数
        /// </summary>
        [SugarColumn(ColumnName = "full_count")]
        public int FullCount { get; set; }
        /// <summary>
        /// 每箱空轮子数
        /// </summary>
        [SugarColumn(ColumnName = "empty_count")]
        public int EmptyCount { get; set; }
        /// <summary>
        /// 是否允许焊点盘
        /// </summary>
        [SugarColumn(ColumnName = "is_solder", ColumnDataType = "nvarchar", Length = 50)]
        public string IsSolder { get; set; }
        /// <summary>
        /// 成套目标扭转值上限
        /// </summary>
        [SugarColumn(ColumnName = "torsion_max", Length = 18, DecimalDigits = 6)]
        public decimal TorsionMax { get; set; }
        /// <summary>
        /// 成套目标扭转值下限
        /// </summary>
        [SugarColumn(ColumnName = "torsion_min", Length = 18, DecimalDigits = 6)]
        public decimal TorsionMin { get; set; }
        /// <summary>
        /// 子托盘编码
        /// </summary>
        [SugarColumn(ColumnName = "tray_code", ColumnDataType = "nvarchar", Length = 100)]
        public string TrayCode { get; set; }
        /// <summary>
        /// 干燥剂
        /// </summary>
        [SugarColumn(ColumnName = "dryer", ColumnDataType = "nvarchar", Length = 100)]
        public string Dryer { get; set; }
        /// <summary>
        /// 中间隔板
        /// </summary>
        [SugarColumn(ColumnName = "bulkhead", ColumnDataType = "nvarchar", Length = 100)]
        public string Bulkhead { get; set; }
        /// <summary>
        /// 抽真空
        /// </summary>
        [SugarColumn(ColumnName = "vacuum", ColumnDataType = "nvarchar", Length = 100)]
        public string Vacuum { get; set; }
       
        /// <summary>
        /// 装箱状态
        /// </summary>
        [SugarColumn(ColumnName = "enchase_state", ColumnDataType = "nvarchar", Length = 100)]
        public string EnchaseState { get; set; }
    }
}
